[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFieldDef.FieldClass

TField class used for this fielddef

## Declaration

Source position: db.pas line 191

`public property TFieldDef.FieldClass : TFieldClass read GetFieldClass;`

## Description

FieldClass is the class of the TField instance that is created by the CreateField class. The return value is retrieved from the TDataset instance the TFieldDef instance is associated with. If there is no TDataset instance available, the return value is Nil

## See also

TDataset |  | Base class for records-based data-access
CreateField |  | Create TField instance based on definitions in current TFieldDef instance.
TField |  | Provide access to the contents of a single field in a record

Documentation generated on: Feb 26 2014